- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_admin_session_timeout – CLI command to modify admin-session-timeout

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to modify admin session timeout.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_timeout string |  | Maximum time to wait for user activity before terminating login session. Minimum should be 60s.
state string / required | Choices: update | State the action to perform. `update` to modify the admin-session-timeout.

## Examples

    - name: admin session timeout functionality
      pn_admin_session_timeout:
        pn_cliswitch: "sw01"
        state: "update"
        pn_timeout: "61s"

    - name: admin session timeout functionality
      pn_admin_session_timeout:
        pn_cliswitch: "sw01"
        state: "update"
        pn_timeout: "1d"

    - name: admin session timeout functionality
      pn_admin_session_timeout:
        pn_cliswitch: "sw01"
        state: "update"
        pn_timeout: "10d20m3h15s"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the admin-session-timeout command.
stdout list | always | set of responses from the admin-session-timeout command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.